#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	voicDialogId ;
extern int	voicOkBtnId ;
extern int	voicOkchk() ;
extern int	voicPlayBtnId ;
extern int	voicPlay() ;
extern int	voicUndoBtnId ;
extern int	voicUndo() ;
extern int	voicInfBtnId ;
extern int	voicInf() ;
extern int	voicCanBtnId ;
extern int	voicCanchk() ;
extern int	voicMesId[24] ;
extern int	voicSubDialogId ;
extern int	voicMulVolumeId ;
extern int	voicMulSet() ;
extern int	voicMulNumId ;
extern int	voicCycleNumId ;
extern int	voicCrossNumId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTVOI = { "MmiInit",  35, 0 } ;

/* voicDialogId */

static MMIPACKET d001 = {	&voicDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  30, 144, 610, 336, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* voicOkBtnId */

static MMIPACKET d002 = {	&voicOkBtnId,
							&voicDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  50, 305, 111, 328,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							voicOkchk,
							0x0000
						} ;

/* voicPlayBtnId */

static MMIPACKET d003 = {	&voicPlayBtnId,
							&voicDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 120, 305, 181, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							voicPlay,
							0x0000
						} ;

/* voicUndoBtnId */

static MMIPACKET d004 = {	&voicUndoBtnId,
							&voicDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 190, 305, 251, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							voicUndo,
							0x0000
						} ;

/* voicInfBtnId */

static MMIPACKET d005 = {	&voicInfBtnId,
							&voicDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 260, 305, 321, 328, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							voicInf,
							0x0000
						} ;

/* voicCanBtnId */

static MMIPACKET d006 = {	&voicCanBtnId,
							&voicDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 530, 305, 591, 328,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							voicCanchk,
							0x0000
						} ;

/* voicMesId[0] */

static MMIPACKET d007 = {	&voicMesId[0],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  60, 308, 103, 325, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[1] */

static MMIPACKET d008 = {	&voicMesId[1],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 128, 308, 174, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[2] */

static MMIPACKET d009 = {	&voicMesId[2],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 196, 308, 247, 325, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[3] */

static MMIPACKET d010 = {	&voicMesId[3],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 265, 308, 316, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[4] */

static MMIPACKET d011 = {	&voicMesId[4],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 538, 308, 584, 325, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicSubDialogId */

static MMIPACKET d012 = {	&voicSubDialogId,
							&voicDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d012d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  50, 168, 591, 299, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* voicMulVolumeId */

static MMIPACKET d013 = {	&voicMulVolumeId,
							&voicSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d013d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  72, 233, 503, 248, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							voicMulSet,
							  30,-160, 160,   1,   8,
							 265, 266
						} ;

/* voicMulNumId */

static MMIPACKET d014 = {	&voicMulNumId,
							&voicSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 519, 229, 574, 252, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							voicMulSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  30,-160, 160,   1,   0,
							 263, 264
						} ;

/* voicCycleNumId */

static MMIPACKET d015 = {	&voicCycleNumId,
							&voicSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 184, 264, 239, 287, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  75,   1,1000,   1,   0,
							 263, 264
						} ;

/* voicMesId[5] */

static MMIPACKET d016 = {	&voicMesId[5],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d016d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 251, 175, 300, 192, 0,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* voicMesId[6] */

static MMIPACKET d017 = {	&voicMesId[6],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d017d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  70, 267, 132, 283, 0,15, 8,
							MS_NONEL40,
							"",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* voicMesId[7] */

static MMIPACKET d018 = {	&voicMesId[7],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d018d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 280, 197, 298, 211, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[8] */

static MMIPACKET d019 = {	&voicMesId[8],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  94, 219, 293, 233, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[9] */

static MMIPACKET d020 = {	&voicMesId[9],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 142, 213, 160, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[10] */

static MMIPACKET d021 = {	&voicMesId[10],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 430, 213, 449, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[11] */

static MMIPACKET d022 = {	&voicMesId[11],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 286, 219, 485, 233, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[12] */

static MMIPACKET d023 = {	&voicMesId[12],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 419, 197, 446, 211, 0,15, 8,
							MS_NONEL40,
							"1200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[13] */

static MMIPACKET d024 = {	&voicMesId[13],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 286, 213, 305, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[14] */

static MMIPACKET d025 = {	&voicMesId[14],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 123, 197, 160, 211, 0,15, 8,
							MS_NONEL40,
							"-1200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[17] */

static MMIPACKET d026 = {	&voicMesId[17],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 299, 175, 380, 192, 0,15, 8,
							MS_NONEL40,
							"i100 = j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[18] */

static MMIPACKET d027 = {	&voicMesId[18],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 196, 197, 233, 211, 0,15, 8,
							MS_NONEL40,
							"-600",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[19] */

static MMIPACKET d028 = {	&voicMesId[19],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 348, 197, 375, 211, 0,15, 8,
							MS_NONEL40,
							"600",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[20] */

static MMIPACKET d029 = {	&voicMesId[20],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 214, 213, 232, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[21] */

static MMIPACKET d030 = {	&voicMesId[21],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 358, 213, 377, 227, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicCrossNumId */

static MMIPACKET d031 = {	&voicCrossNumId,
							&voicSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d031d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 448, 264, 503, 287, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 100,   0, 100,   1,   0,
							 263, 264
						} ;

/* voicMesId[22] */

static MMIPACKET d032 = {	&voicMesId[22],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d032d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 128, 267, 184, 283, 0,15, 8,
							MS_NONEL40,
							"i msec.j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[23] */

static MMIPACKET d033 = {	&voicMesId[23],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d033d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 262, 267, 402, 283, 0,15, 8,
							MS_NONEL40,
							"NXI[ö̊",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* voicMesId[16] */

static MMIPACKET d034 = {	&voicMesId[16],
							&voicSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d034d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 403, 267, 448, 283, 0,15, 8,
							MS_NONEL40,
							"i  j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* voicMesId[15] */

static MMIPACKET d035 = {	&voicMesId[15],
							&voicDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d035d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  55, 148, 160, 166, 8,15, 8,
							MS_NONEL40,
							"{CX`FW",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

